Bug 1495630 - [ALL_LANG] pagination label x-xx of xx is not localized
Summary: [ALL_LANG] pagination label x-xx of xx is not localized
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Internationalization
Version: 5.8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Milan Zázrivec
QA Contact: Krishna Babu K
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-26 11:12 UTC by Krishna Babu K
Modified: 2019-02-07 23:02 UTC (History)
5 users (show)

Fixed In Version: 5.10.0.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:46 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
screen-shot reference for missing translation in availability zones (142.29 KB, image/png)
2017-09-26 11:12 UTC, Krishna Babu K
no flags Details
screen-shot reference for missing translation in flavors (148.57 KB, image/png)
2017-09-26 11:12 UTC, Krishna Babu K
no flags Details
screen-shot reference for missing translation in stacks (197.85 KB, image/png)
2017-09-26 11:13 UTC, Krishna Babu K
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:54 UTC

Description Krishna Babu K 2017-09-26 11:12:23 UTC
Created attachment 1330999 [details]
screen-shot reference for missing translation in availability zones

Description of problem:
Compute->Clouds->Availablity zones, flavors, stacks pages have untranslated pagination label. e.g. '1-20 of 91'

Version-Release number of selected component (if applicable):
5.8.2.1.20170925150507_8770490

How reproducible:
always

Steps to Reproduce:
1. Login cfme with non en_US locale
2. Navigate to Compute - Clouds - Availability Zones, flavors, stacks
3. At bottom right corner pagination label 'x-xx of xx' not localized.

Actual results:
Translation not present

Expected results:
Translation should present

Additional info:
Screen-shot references attached.

Comment 2 Krishna Babu K 2017-09-26 11:12:58 UTC
Created attachment 1331000 [details]
screen-shot reference for missing translation in flavors

Comment 3 Krishna Babu K 2017-09-26 11:13:34 UTC
Created attachment 1331001 [details]
screen-shot reference for missing translation in stacks

Comment 4 Krishna Babu K 2017-12-11 14:06:38 UTC
Verified on 5.9.0.12.20171205180333_3e32b3d
Issues is still present.

Comment 5 Milan Zázrivec 2018-07-20 16:44:30 UTC
https://github.com/ManageIQ/ui-components/pull/329

Comment 6 CFME Bot 2018-07-24 01:36:45 UTC
New commit detected on ManageIQ/ui-components/master:

https://github.com/ManageIQ/ui-components/commit/680972fefece42019b98c29d5a0e481a57fcc2f4
commit 680972fefece42019b98c29d5a0e481a57fcc2f4
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Fri Jul 20 12:43:01 2018 -0400
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Fri Jul 20 12:43:01 2018 -0400

    Add translate to paging label

    https://bugzilla.redhat.com/show_bug.cgi?id=1495630

 src/gtl/components/pagination/paging.html | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 7 Krishna Babu K 2018-11-24 15:22:11 UTC
Verified on 5.10.0.24.20181113213923_03b81fd , can not reproduce exact reported issue.

Comment 8 errata-xmlrpc 2019-02-07 23:02:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.